# Uses of Class
org.mariadb.jdbc.HostAddress

Packages that use HostAddress
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.client.socket
org.mariadb.jdbc.export
org.mariadb.jdbc.plugin
org.mariadb.jdbc.plugin.credential.aws
org.mariadb.jdbc.plugin.credential.env
org.mariadb.jdbc.plugin.credential.system

## Uses of HostAddress in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return HostAddress
Modifier and Type
Method
Description
`static HostAddress`
HostAddress.`from(String host, int port)`
Create a Host without knowledge of primary/replica goal
`static HostAddress`
HostAddress.`from(String host, int port, boolean primary)`
Create a Host
Methods in org.mariadb.jdbc that return types with arguments of type HostAddress
Modifier and Type
Method
Description
`List<HostAddress>`
Configuration.`addresses()`
addresses
`static List<HostAddress>`
HostAddress.`parse(String spec, HaMode haMode)`
parse - parse server addresses from the URL fragment.
Methods in org.mariadb.jdbc with parameters of type HostAddress
Modifier and Type
Method
Description
`Configuration.Builder`
Configuration.Builder.`addresses(HostAddress... hostAddress)`
add host addresses

## Uses of HostAddress in org.mariadb.jdbc.client.socket

Methods in org.mariadb.jdbc.client.socket with parameters of type HostAddress
Modifier and Type
Method
Description
`void`
Reader.`setServerThreadId(Long serverThreadId, HostAddress hostAddress)`
Set server thread id.
`void`
Writer.`setServerThreadId(Long serverThreadId, HostAddress hostAddress)`
Set server thread id.

## Uses of HostAddress in org.mariadb.jdbc.export

Methods in org.mariadb.jdbc.export that return HostAddress
Modifier and Type
Method
Description
`static HostAddress`
HaMode.`getHostWithLessConnections(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
If all hosts not blacklisted connection number are known, choose the host with the less connections.
Methods in org.mariadb.jdbc.export that return types with arguments of type HostAddress
Modifier and Type
Method
Description
`abstract Optional<HostAddress>`
HaMode.`getAvailableHost(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
List of hosts without blacklist entries, ordered according to HA mode
`static Optional<HostAddress>`
HaMode.`getAvailableHostInOrder(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
return hosts of corresponding type (primary or not) without blacklisted hosts.
`static Optional<HostAddress>`
HaMode.`getAvailableRoundRobinHost(HaMode haMode, List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
return hosts of corresponding type (primary or not) without blacklisted hosts.
Method parameters in org.mariadb.jdbc.export with type arguments of type HostAddress
Modifier and Type
Method
Description
`abstract Optional<HostAddress>`
HaMode.`getAvailableHost(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
List of hosts without blacklist entries, ordered according to HA mode
`abstract Optional<HostAddress>`
HaMode.`getAvailableHost(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
List of hosts without blacklist entries, ordered according to HA mode
`static Optional<HostAddress>`
HaMode.`getAvailableHostInOrder(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
return hosts of corresponding type (primary or not) without blacklisted hosts.
`static Optional<HostAddress>`
HaMode.`getAvailableHostInOrder(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
return hosts of corresponding type (primary or not) without blacklisted hosts.
`static Optional<HostAddress>`
HaMode.`getAvailableRoundRobinHost(HaMode haMode, List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
return hosts of corresponding type (primary or not) without blacklisted hosts.
`static Optional<HostAddress>`
HaMode.`getAvailableRoundRobinHost(HaMode haMode, List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
return hosts of corresponding type (primary or not) without blacklisted hosts.
`static HostAddress`
HaMode.`getHostWithLessConnections(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
If all hosts not blacklisted connection number are known, choose the host with the less connections.
`static HostAddress`
HaMode.`getHostWithLessConnections(List<HostAddress> hostAddresses, ConcurrentMap<HostAddress,Long> denyList, boolean primary)`
If all hosts not blacklisted connection number are known, choose the host with the less connections.
Constructors in org.mariadb.jdbc.export with parameters of type HostAddress
Modifier
Constructor
Description
``
`ExceptionFactory(Configuration conf, HostAddress hostAddress)`
Connection Exception factory constructor
``
`SqlExceptionFactory(Connection connection, MariaDbPoolConnection poolConnection, Configuration conf, HostAddress hostAddress, long threadId, Statement statement, String sql)`
Constructor of Exception factory with SQL

## Uses of HostAddress in org.mariadb.jdbc.plugin

Methods in org.mariadb.jdbc.plugin with parameters of type HostAddress
Modifier and Type
Method
Description
`default CredentialPlugin`
CredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`
Permit initializing plugin if overridden

## Uses of HostAddress in org.mariadb.jdbc.plugin.credential.aws

Methods in org.mariadb.jdbc.plugin.credential.aws with parameters of type HostAddress
Modifier and Type
Method
Description
`CredentialPlugin`
AwsIamCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`
Constructors in org.mariadb.jdbc.plugin.credential.aws with parameters of type HostAddress
Modifier
Constructor
Description
``
`AwsCredentialGenerator(Properties nonMappedOptions, String userName, HostAddress hostAddress)`
AWS Generator.

## Uses of HostAddress in org.mariadb.jdbc.plugin.credential.env

Methods in org.mariadb.jdbc.plugin.credential.env with parameters of type HostAddress
Modifier and Type
Method
Description
`CredentialPlugin`
EnvCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`

## Uses of HostAddress in org.mariadb.jdbc.plugin.credential.system

Methods in org.mariadb.jdbc.plugin.credential.system with parameters of type HostAddress
Modifier and Type
Method
Description
`CredentialPlugin`
PropertiesCredentialPlugin.`initialize(Configuration conf, String userName, HostAddress hostAddress)`